/**
  @Generated Pin Manager Header File

  @Company:
    Microchip Technology Inc.

  @File Name:
    pin_manager.h

  @Summary:
    This is the Pin Manager file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs

  @Description
    This header file provides APIs for driver for .
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs - 1.81.7
        Device            :  PIC18F27Q43
        Driver Version    :  2.11
    The generated drivers are tested against the following:
        Compiler          :  XC8 2.31 and above
        MPLAB 	          :  MPLAB X 5.45	
*/

/*
    (c) 2018 Microchip Technology Inc. and its subsidiaries. 
    
    Subject to your compliance with these terms, you may use Microchip software and any 
    derivatives exclusively with Microchip products. It is your responsibility to comply with third party 
    license terms applicable to your use of third party software (including open source software) that 
    may accompany Microchip software.
    
    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER 
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY 
    IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS 
    FOR A PARTICULAR PURPOSE.
    
    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP 
    HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO 
    THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL 
    CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT 
    OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS 
    SOFTWARE.
*/

#ifndef PIN_MANAGER_H
#define PIN_MANAGER_H

/**
  Section: Included Files
*/

#include <xc.h>

#define INPUT   1
#define OUTPUT  0

#define HIGH    1
#define LOW     0

#define ANALOG      1
#define DIGITAL     0

#define PULL_UP_ENABLED      1
#define PULL_UP_DISABLED     0

// get/set ChgV aliases
#define ChgV_TRIS                 TRISAbits.TRISA0
#define ChgV_LAT                  LATAbits.LATA0
#define ChgV_PORT                 PORTAbits.RA0
#define ChgV_WPU                  WPUAbits.WPUA0
#define ChgV_OD                   ODCONAbits.ODCA0
#define ChgV_ANS                  ANSELAbits.ANSELA0
#define ChgV_SetHigh()            do { LATAbits.LATA0 = 1; } while(0)
#define ChgV_SetLow()             do { LATAbits.LATA0 = 0; } while(0)
#define ChgV_Toggle()             do { LATAbits.LATA0 = ~LATAbits.LATA0; } while(0)
#define ChgV_GetValue()           PORTAbits.RA0
#define ChgV_SetDigitalInput()    do { TRISAbits.TRISA0 = 1; } while(0)
#define ChgV_SetDigitalOutput()   do { TRISAbits.TRISA0 = 0; } while(0)
#define ChgV_SetPullup()          do { WPUAbits.WPUA0 = 1; } while(0)
#define ChgV_ResetPullup()        do { WPUAbits.WPUA0 = 0; } while(0)
#define ChgV_SetPushPull()        do { ODCONAbits.ODCA0 = 0; } while(0)
#define ChgV_SetOpenDrain()       do { ODCONAbits.ODCA0 = 1; } while(0)
#define ChgV_SetAnalogMode()      do { ANSELAbits.ANSELA0 = 1; } while(0)
#define ChgV_SetDigitalMode()     do { ANSELAbits.ANSELA0 = 0; } while(0)

// get/set Mode aliases
#define Mode_TRIS                 TRISAbits.TRISA1
#define Mode_LAT                  LATAbits.LATA1
#define Mode_PORT                 PORTAbits.RA1
#define Mode_WPU                  WPUAbits.WPUA1
#define Mode_OD                   ODCONAbits.ODCA1
#define Mode_ANS                  ANSELAbits.ANSELA1
#define Mode_SetHigh()            do { LATAbits.LATA1 = 1; } while(0)
#define Mode_SetLow()             do { LATAbits.LATA1 = 0; } while(0)
#define Mode_Toggle()             do { LATAbits.LATA1 = ~LATAbits.LATA1; } while(0)
#define Mode_GetValue()           PORTAbits.RA1
#define Mode_SetDigitalInput()    do { TRISAbits.TRISA1 = 1; } while(0)
#define Mode_SetDigitalOutput()   do { TRISAbits.TRISA1 = 0; } while(0)
#define Mode_SetPullup()          do { WPUAbits.WPUA1 = 1; } while(0)
#define Mode_ResetPullup()        do { WPUAbits.WPUA1 = 0; } while(0)
#define Mode_SetPushPull()        do { ODCONAbits.ODCA1 = 0; } while(0)
#define Mode_SetOpenDrain()       do { ODCONAbits.ODCA1 = 1; } while(0)
#define Mode_SetAnalogMode()      do { ANSELAbits.ANSELA1 = 1; } while(0)
#define Mode_SetDigitalMode()     do { ANSELAbits.ANSELA1 = 0; } while(0)

// get/set ChgA aliases
#define ChgA_TRIS                 TRISAbits.TRISA2
#define ChgA_LAT                  LATAbits.LATA2
#define ChgA_PORT                 PORTAbits.RA2
#define ChgA_WPU                  WPUAbits.WPUA2
#define ChgA_OD                   ODCONAbits.ODCA2
#define ChgA_ANS                  ANSELAbits.ANSELA2
#define ChgA_SetHigh()            do { LATAbits.LATA2 = 1; } while(0)
#define ChgA_SetLow()             do { LATAbits.LATA2 = 0; } while(0)
#define ChgA_Toggle()             do { LATAbits.LATA2 = ~LATAbits.LATA2; } while(0)
#define ChgA_GetValue()           PORTAbits.RA2
#define ChgA_SetDigitalInput()    do { TRISAbits.TRISA2 = 1; } while(0)
#define ChgA_SetDigitalOutput()   do { TRISAbits.TRISA2 = 0; } while(0)
#define ChgA_SetPullup()          do { WPUAbits.WPUA2 = 1; } while(0)
#define ChgA_ResetPullup()        do { WPUAbits.WPUA2 = 0; } while(0)
#define ChgA_SetPushPull()        do { ODCONAbits.ODCA2 = 0; } while(0)
#define ChgA_SetOpenDrain()       do { ODCONAbits.ODCA2 = 1; } while(0)
#define ChgA_SetAnalogMode()      do { ANSELAbits.ANSELA2 = 1; } while(0)
#define ChgA_SetDigitalMode()     do { ANSELAbits.ANSELA2 = 0; } while(0)

// get/set DisV aliases
#define DisV_TRIS                 TRISAbits.TRISA3
#define DisV_LAT                  LATAbits.LATA3
#define DisV_PORT                 PORTAbits.RA3
#define DisV_WPU                  WPUAbits.WPUA3
#define DisV_OD                   ODCONAbits.ODCA3
#define DisV_ANS                  ANSELAbits.ANSELA3
#define DisV_SetHigh()            do { LATAbits.LATA3 = 1; } while(0)
#define DisV_SetLow()             do { LATAbits.LATA3 = 0; } while(0)
#define DisV_Toggle()             do { LATAbits.LATA3 = ~LATAbits.LATA3; } while(0)
#define DisV_GetValue()           PORTAbits.RA3
#define DisV_SetDigitalInput()    do { TRISAbits.TRISA3 = 1; } while(0)
#define DisV_SetDigitalOutput()   do { TRISAbits.TRISA3 = 0; } while(0)
#define DisV_SetPullup()          do { WPUAbits.WPUA3 = 1; } while(0)
#define DisV_ResetPullup()        do { WPUAbits.WPUA3 = 0; } while(0)
#define DisV_SetPushPull()        do { ODCONAbits.ODCA3 = 0; } while(0)
#define DisV_SetOpenDrain()       do { ODCONAbits.ODCA3 = 1; } while(0)
#define DisV_SetAnalogMode()      do { ANSELAbits.ANSELA3 = 1; } while(0)
#define DisV_SetDigitalMode()     do { ANSELAbits.ANSELA3 = 0; } while(0)

// get/set Stop aliases
#define Stop_TRIS                 TRISAbits.TRISA4
#define Stop_LAT                  LATAbits.LATA4
#define Stop_PORT                 PORTAbits.RA4
#define Stop_WPU                  WPUAbits.WPUA4
#define Stop_OD                   ODCONAbits.ODCA4
#define Stop_ANS                  ANSELAbits.ANSELA4
#define Stop_SetHigh()            do { LATAbits.LATA4 = 1; } while(0)
#define Stop_SetLow()             do { LATAbits.LATA4 = 0; } while(0)
#define Stop_Toggle()             do { LATAbits.LATA4 = ~LATAbits.LATA4; } while(0)
#define Stop_GetValue()           PORTAbits.RA4
#define Stop_SetDigitalInput()    do { TRISAbits.TRISA4 = 1; } while(0)
#define Stop_SetDigitalOutput()   do { TRISAbits.TRISA4 = 0; } while(0)
#define Stop_SetPullup()          do { WPUAbits.WPUA4 = 1; } while(0)
#define Stop_ResetPullup()        do { WPUAbits.WPUA4 = 0; } while(0)
#define Stop_SetPushPull()        do { ODCONAbits.ODCA4 = 0; } while(0)
#define Stop_SetOpenDrain()       do { ODCONAbits.ODCA4 = 1; } while(0)
#define Stop_SetAnalogMode()      do { ANSELAbits.ANSELA4 = 1; } while(0)
#define Stop_SetDigitalMode()     do { ANSELAbits.ANSELA4 = 0; } while(0)

// get/set DisA aliases
#define DisA_TRIS                 TRISAbits.TRISA5
#define DisA_LAT                  LATAbits.LATA5
#define DisA_PORT                 PORTAbits.RA5
#define DisA_WPU                  WPUAbits.WPUA5
#define DisA_OD                   ODCONAbits.ODCA5
#define DisA_ANS                  ANSELAbits.ANSELA5
#define DisA_SetHigh()            do { LATAbits.LATA5 = 1; } while(0)
#define DisA_SetLow()             do { LATAbits.LATA5 = 0; } while(0)
#define DisA_Toggle()             do { LATAbits.LATA5 = ~LATAbits.LATA5; } while(0)
#define DisA_GetValue()           PORTAbits.RA5
#define DisA_SetDigitalInput()    do { TRISAbits.TRISA5 = 1; } while(0)
#define DisA_SetDigitalOutput()   do { TRISAbits.TRISA5 = 0; } while(0)
#define DisA_SetPullup()          do { WPUAbits.WPUA5 = 1; } while(0)
#define DisA_ResetPullup()        do { WPUAbits.WPUA5 = 0; } while(0)
#define DisA_SetPushPull()        do { ODCONAbits.ODCA5 = 0; } while(0)
#define DisA_SetOpenDrain()       do { ODCONAbits.ODCA5 = 1; } while(0)
#define DisA_SetAnalogMode()      do { ANSELAbits.ANSELA5 = 1; } while(0)
#define DisA_SetDigitalMode()     do { ANSELAbits.ANSELA5 = 0; } while(0)

// get/set CS aliases
#define CS_TRIS                 TRISBbits.TRISB0
#define CS_LAT                  LATBbits.LATB0
#define CS_PORT                 PORTBbits.RB0
#define CS_WPU                  WPUBbits.WPUB0
#define CS_OD                   ODCONBbits.ODCB0
#define CS_ANS                  ANSELBbits.ANSELB0
#define CS_SetHigh()            do { LATBbits.LATB0 = 1; } while(0)
#define CS_SetLow()             do { LATBbits.LATB0 = 0; } while(0)
#define CS_Toggle()             do { LATBbits.LATB0 = ~LATBbits.LATB0; } while(0)
#define CS_GetValue()           PORTBbits.RB0
#define CS_SetDigitalInput()    do { TRISBbits.TRISB0 = 1; } while(0)
#define CS_SetDigitalOutput()   do { TRISBbits.TRISB0 = 0; } while(0)
#define CS_SetPullup()          do { WPUBbits.WPUB0 = 1; } while(0)
#define CS_ResetPullup()        do { WPUBbits.WPUB0 = 0; } while(0)
#define CS_SetPushPull()        do { ODCONBbits.ODCB0 = 0; } while(0)
#define CS_SetOpenDrain()       do { ODCONBbits.ODCB0 = 1; } while(0)
#define CS_SetAnalogMode()      do { ANSELBbits.ANSELB0 = 1; } while(0)
#define CS_SetDigitalMode()     do { ANSELBbits.ANSELB0 = 0; } while(0)

// get/set RST aliases
#define RST_TRIS                 TRISBbits.TRISB1
#define RST_LAT                  LATBbits.LATB1
#define RST_PORT                 PORTBbits.RB1
#define RST_WPU                  WPUBbits.WPUB1
#define RST_OD                   ODCONBbits.ODCB1
#define RST_ANS                  ANSELBbits.ANSELB1
#define RST_SetHigh()            do { LATBbits.LATB1 = 1; } while(0)
#define RST_SetLow()             do { LATBbits.LATB1 = 0; } while(0)
#define RST_Toggle()             do { LATBbits.LATB1 = ~LATBbits.LATB1; } while(0)
#define RST_GetValue()           PORTBbits.RB1
#define RST_SetDigitalInput()    do { TRISBbits.TRISB1 = 1; } while(0)
#define RST_SetDigitalOutput()   do { TRISBbits.TRISB1 = 0; } while(0)
#define RST_SetPullup()          do { WPUBbits.WPUB1 = 1; } while(0)
#define RST_ResetPullup()        do { WPUBbits.WPUB1 = 0; } while(0)
#define RST_SetPushPull()        do { ODCONBbits.ODCB1 = 0; } while(0)
#define RST_SetOpenDrain()       do { ODCONBbits.ODCB1 = 1; } while(0)
#define RST_SetAnalogMode()      do { ANSELBbits.ANSELB1 = 1; } while(0)
#define RST_SetDigitalMode()     do { ANSELBbits.ANSELB1 = 0; } while(0)

// get/set DC aliases
#define DC_TRIS                 TRISBbits.TRISB2
#define DC_LAT                  LATBbits.LATB2
#define DC_PORT                 PORTBbits.RB2
#define DC_WPU                  WPUBbits.WPUB2
#define DC_OD                   ODCONBbits.ODCB2
#define DC_ANS                  ANSELBbits.ANSELB2
#define DC_SetHigh()            do { LATBbits.LATB2 = 1; } while(0)
#define DC_SetLow()             do { LATBbits.LATB2 = 0; } while(0)
#define DC_Toggle()             do { LATBbits.LATB2 = ~LATBbits.LATB2; } while(0)
#define DC_GetValue()           PORTBbits.RB2
#define DC_SetDigitalInput()    do { TRISBbits.TRISB2 = 1; } while(0)
#define DC_SetDigitalOutput()   do { TRISBbits.TRISB2 = 0; } while(0)
#define DC_SetPullup()          do { WPUBbits.WPUB2 = 1; } while(0)
#define DC_ResetPullup()        do { WPUBbits.WPUB2 = 0; } while(0)
#define DC_SetPushPull()        do { ODCONBbits.ODCB2 = 0; } while(0)
#define DC_SetOpenDrain()       do { ODCONBbits.ODCB2 = 1; } while(0)
#define DC_SetAnalogMode()      do { ANSELBbits.ANSELB2 = 1; } while(0)
#define DC_SetDigitalMode()     do { ANSELBbits.ANSELB2 = 0; } while(0)

// get/set RB3 procedures
#define RB3_SetHigh()            do { LATBbits.LATB3 = 1; } while(0)
#define RB3_SetLow()             do { LATBbits.LATB3 = 0; } while(0)
#define RB3_Toggle()             do { LATBbits.LATB3 = ~LATBbits.LATB3; } while(0)
#define RB3_GetValue()              PORTBbits.RB3
#define RB3_SetDigitalInput()    do { TRISBbits.TRISB3 = 1; } while(0)
#define RB3_SetDigitalOutput()   do { TRISBbits.TRISB3 = 0; } while(0)
#define RB3_SetPullup()             do { WPUBbits.WPUB3 = 1; } while(0)
#define RB3_ResetPullup()           do { WPUBbits.WPUB3 = 0; } while(0)
#define RB3_SetAnalogMode()         do { ANSELBbits.ANSELB3 = 1; } while(0)
#define RB3_SetDigitalMode()        do { ANSELBbits.ANSELB3 = 0; } while(0)

// get/set RB4 procedures
#define RB4_SetHigh()            do { LATBbits.LATB4 = 1; } while(0)
#define RB4_SetLow()             do { LATBbits.LATB4 = 0; } while(0)
#define RB4_Toggle()             do { LATBbits.LATB4 = ~LATBbits.LATB4; } while(0)
#define RB4_GetValue()              PORTBbits.RB4
#define RB4_SetDigitalInput()    do { TRISBbits.TRISB4 = 1; } while(0)
#define RB4_SetDigitalOutput()   do { TRISBbits.TRISB4 = 0; } while(0)
#define RB4_SetPullup()             do { WPUBbits.WPUB4 = 1; } while(0)
#define RB4_ResetPullup()           do { WPUBbits.WPUB4 = 0; } while(0)
#define RB4_SetAnalogMode()         do { ANSELBbits.ANSELB4 = 1; } while(0)
#define RB4_SetDigitalMode()        do { ANSELBbits.ANSELB4 = 0; } while(0)

// get/set RB5 procedures
#define RB5_SetHigh()            do { LATBbits.LATB5 = 1; } while(0)
#define RB5_SetLow()             do { LATBbits.LATB5 = 0; } while(0)
#define RB5_Toggle()             do { LATBbits.LATB5 = ~LATBbits.LATB5; } while(0)
#define RB5_GetValue()              PORTBbits.RB5
#define RB5_SetDigitalInput()    do { TRISBbits.TRISB5 = 1; } while(0)
#define RB5_SetDigitalOutput()   do { TRISBbits.TRISB5 = 0; } while(0)
#define RB5_SetPullup()             do { WPUBbits.WPUB5 = 1; } while(0)
#define RB5_ResetPullup()           do { WPUBbits.WPUB5 = 0; } while(0)
#define RB5_SetAnalogMode()         do { ANSELBbits.ANSELB5 = 1; } while(0)
#define RB5_SetDigitalMode()        do { ANSELBbits.ANSELB5 = 0; } while(0)

// get/set S2 aliases
#define S2_TRIS                 TRISCbits.TRISC4
#define S2_LAT                  LATCbits.LATC4
#define S2_PORT                 PORTCbits.RC4
#define S2_WPU                  WPUCbits.WPUC4
#define S2_OD                   ODCONCbits.ODCC4
#define S2_ANS                  ANSELCbits.ANSELC4
#define S2_SetHigh()            do { LATCbits.LATC4 = 1; } while(0)
#define S2_SetLow()             do { LATCbits.LATC4 = 0; } while(0)
#define S2_Toggle()             do { LATCbits.LATC4 = ~LATCbits.LATC4; } while(0)
#define S2_GetValue()           PORTCbits.RC4
#define S2_SetDigitalInput()    do { TRISCbits.TRISC4 = 1; } while(0)
#define S2_SetDigitalOutput()   do { TRISCbits.TRISC4 = 0; } while(0)
#define S2_SetPullup()          do { WPUCbits.WPUC4 = 1; } while(0)
#define S2_ResetPullup()        do { WPUCbits.WPUC4 = 0; } while(0)
#define S2_SetPushPull()        do { ODCONCbits.ODCC4 = 0; } while(0)
#define S2_SetOpenDrain()       do { ODCONCbits.ODCC4 = 1; } while(0)
#define S2_SetAnalogMode()      do { ANSELCbits.ANSELC4 = 1; } while(0)
#define S2_SetDigitalMode()     do { ANSELCbits.ANSELC4 = 0; } while(0)

// get/set S1 aliases
#define S1_TRIS                 TRISCbits.TRISC5
#define S1_LAT                  LATCbits.LATC5
#define S1_PORT                 PORTCbits.RC5
#define S1_WPU                  WPUCbits.WPUC5
#define S1_OD                   ODCONCbits.ODCC5
#define S1_ANS                  ANSELCbits.ANSELC5
#define S1_SetHigh()            do { LATCbits.LATC5 = 1; } while(0)
#define S1_SetLow()             do { LATCbits.LATC5 = 0; } while(0)
#define S1_Toggle()             do { LATCbits.LATC5 = ~LATCbits.LATC5; } while(0)
#define S1_GetValue()           PORTCbits.RC5
#define S1_SetDigitalInput()    do { TRISCbits.TRISC5 = 1; } while(0)
#define S1_SetDigitalOutput()   do { TRISCbits.TRISC5 = 0; } while(0)
#define S1_SetPullup()          do { WPUCbits.WPUC5 = 1; } while(0)
#define S1_ResetPullup()        do { WPUCbits.WPUC5 = 0; } while(0)
#define S1_SetPushPull()        do { ODCONCbits.ODCC5 = 0; } while(0)
#define S1_SetOpenDrain()       do { ODCONCbits.ODCC5 = 1; } while(0)
#define S1_SetAnalogMode()      do { ANSELCbits.ANSELC5 = 1; } while(0)
#define S1_SetDigitalMode()     do { ANSELCbits.ANSELC5 = 0; } while(0)

// get/set Green aliases
#define Green_TRIS                 TRISCbits.TRISC6
#define Green_LAT                  LATCbits.LATC6
#define Green_PORT                 PORTCbits.RC6
#define Green_WPU                  WPUCbits.WPUC6
#define Green_OD                   ODCONCbits.ODCC6
#define Green_ANS                  ANSELCbits.ANSELC6
#define Green_SetHigh()            do { LATCbits.LATC6 = 1; } while(0)
#define Green_SetLow()             do { LATCbits.LATC6 = 0; } while(0)
#define Green_Toggle()             do { LATCbits.LATC6 = ~LATCbits.LATC6; } while(0)
#define Green_GetValue()           PORTCbits.RC6
#define Green_SetDigitalInput()    do { TRISCbits.TRISC6 = 1; } while(0)
#define Green_SetDigitalOutput()   do { TRISCbits.TRISC6 = 0; } while(0)
#define Green_SetPullup()          do { WPUCbits.WPUC6 = 1; } while(0)
#define Green_ResetPullup()        do { WPUCbits.WPUC6 = 0; } while(0)
#define Green_SetPushPull()        do { ODCONCbits.ODCC6 = 0; } while(0)
#define Green_SetOpenDrain()       do { ODCONCbits.ODCC6 = 1; } while(0)
#define Green_SetAnalogMode()      do { ANSELCbits.ANSELC6 = 1; } while(0)
#define Green_SetDigitalMode()     do { ANSELCbits.ANSELC6 = 0; } while(0)

// get/set Red aliases
#define Red_TRIS                 TRISCbits.TRISC7
#define Red_LAT                  LATCbits.LATC7
#define Red_PORT                 PORTCbits.RC7
#define Red_WPU                  WPUCbits.WPUC7
#define Red_OD                   ODCONCbits.ODCC7
#define Red_ANS                  ANSELCbits.ANSELC7
#define Red_SetHigh()            do { LATCbits.LATC7 = 1; } while(0)
#define Red_SetLow()             do { LATCbits.LATC7 = 0; } while(0)
#define Red_Toggle()             do { LATCbits.LATC7 = ~LATCbits.LATC7; } while(0)
#define Red_GetValue()           PORTCbits.RC7
#define Red_SetDigitalInput()    do { TRISCbits.TRISC7 = 1; } while(0)
#define Red_SetDigitalOutput()   do { TRISCbits.TRISC7 = 0; } while(0)
#define Red_SetPullup()          do { WPUCbits.WPUC7 = 1; } while(0)
#define Red_ResetPullup()        do { WPUCbits.WPUC7 = 0; } while(0)
#define Red_SetPushPull()        do { ODCONCbits.ODCC7 = 0; } while(0)
#define Red_SetOpenDrain()       do { ODCONCbits.ODCC7 = 1; } while(0)
#define Red_SetAnalogMode()      do { ANSELCbits.ANSELC7 = 1; } while(0)
#define Red_SetDigitalMode()     do { ANSELCbits.ANSELC7 = 0; } while(0)

/**
   @Param
    none
   @Returns
    none
   @Description
    GPIO and peripheral I/O initialization
   @Example
    PIN_MANAGER_Initialize();
 */
void PIN_MANAGER_Initialize (void);

/**
 * @Param
    none
 * @Returns
    none
 * @Description
    Interrupt on Change Handling routine
 * @Example
    PIN_MANAGER_IOC();
 */
void PIN_MANAGER_IOC(void);



#endif // PIN_MANAGER_H
/**
 End of File
*/