/**
  @Generated Pin Manager Header File

  @Company:
    Microchip Technology Inc.

  @File Name:
    pin_manager.h

  @Summary:
    This is the Pin Manager file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs

  @Description
    This header file provides APIs for driver for .
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs - 1.81.7
        Device            :  PIC18F27Q43
        Driver Version    :  2.11
    The generated drivers are tested against the following:
        Compiler          :  XC8 2.31 and above
        MPLAB 	          :  MPLAB X 5.45	
*/

/*
    (c) 2018 Microchip Technology Inc. and its subsidiaries. 
    
    Subject to your compliance with these terms, you may use Microchip software and any 
    derivatives exclusively with Microchip products. It is your responsibility to comply with third party 
    license terms applicable to your use of third party software (including open source software) that 
    may accompany Microchip software.
    
    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER 
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY 
    IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS 
    FOR A PARTICULAR PURPOSE.
    
    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP 
    HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO 
    THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL 
    CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT 
    OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS 
    SOFTWARE.
*/

#ifndef PIN_MANAGER_H
#define PIN_MANAGER_H

/**
  Section: Included Files
*/

#include <xc.h>

#define INPUT   1
#define OUTPUT  0

#define HIGH    1
#define LOW     0

#define ANALOG      1
#define DIGITAL     0

#define PULL_UP_ENABLED      1
#define PULL_UP_DISABLED     0

// get/set S1 aliases
#define S1_TRIS                 TRISAbits.TRISA0
#define S1_LAT                  LATAbits.LATA0
#define S1_PORT                 PORTAbits.RA0
#define S1_WPU                  WPUAbits.WPUA0
#define S1_OD                   ODCONAbits.ODCA0
#define S1_ANS                  ANSELAbits.ANSELA0
#define S1_SetHigh()            do { LATAbits.LATA0 = 1; } while(0)
#define S1_SetLow()             do { LATAbits.LATA0 = 0; } while(0)
#define S1_Toggle()             do { LATAbits.LATA0 = ~LATAbits.LATA0; } while(0)
#define S1_GetValue()           PORTAbits.RA0
#define S1_SetDigitalInput()    do { TRISAbits.TRISA0 = 1; } while(0)
#define S1_SetDigitalOutput()   do { TRISAbits.TRISA0 = 0; } while(0)
#define S1_SetPullup()          do { WPUAbits.WPUA0 = 1; } while(0)
#define S1_ResetPullup()        do { WPUAbits.WPUA0 = 0; } while(0)
#define S1_SetPushPull()        do { ODCONAbits.ODCA0 = 0; } while(0)
#define S1_SetOpenDrain()       do { ODCONAbits.ODCA0 = 1; } while(0)
#define S1_SetAnalogMode()      do { ANSELAbits.ANSELA0 = 1; } while(0)
#define S1_SetDigitalMode()     do { ANSELAbits.ANSELA0 = 0; } while(0)

// get/set S2 aliases
#define S2_TRIS                 TRISAbits.TRISA1
#define S2_LAT                  LATAbits.LATA1
#define S2_PORT                 PORTAbits.RA1
#define S2_WPU                  WPUAbits.WPUA1
#define S2_OD                   ODCONAbits.ODCA1
#define S2_ANS                  ANSELAbits.ANSELA1
#define S2_SetHigh()            do { LATAbits.LATA1 = 1; } while(0)
#define S2_SetLow()             do { LATAbits.LATA1 = 0; } while(0)
#define S2_Toggle()             do { LATAbits.LATA1 = ~LATAbits.LATA1; } while(0)
#define S2_GetValue()           PORTAbits.RA1
#define S2_SetDigitalInput()    do { TRISAbits.TRISA1 = 1; } while(0)
#define S2_SetDigitalOutput()   do { TRISAbits.TRISA1 = 0; } while(0)
#define S2_SetPullup()          do { WPUAbits.WPUA1 = 1; } while(0)
#define S2_ResetPullup()        do { WPUAbits.WPUA1 = 0; } while(0)
#define S2_SetPushPull()        do { ODCONAbits.ODCA1 = 0; } while(0)
#define S2_SetOpenDrain()       do { ODCONAbits.ODCA1 = 1; } while(0)
#define S2_SetAnalogMode()      do { ANSELAbits.ANSELA1 = 1; } while(0)
#define S2_SetDigitalMode()     do { ANSELAbits.ANSELA1 = 0; } while(0)

// get/set Red aliases
#define Red_TRIS                 TRISAbits.TRISA2
#define Red_LAT                  LATAbits.LATA2
#define Red_PORT                 PORTAbits.RA2
#define Red_WPU                  WPUAbits.WPUA2
#define Red_OD                   ODCONAbits.ODCA2
#define Red_ANS                  ANSELAbits.ANSELA2
#define Red_SetHigh()            do { LATAbits.LATA2 = 1; } while(0)
#define Red_SetLow()             do { LATAbits.LATA2 = 0; } while(0)
#define Red_Toggle()             do { LATAbits.LATA2 = ~LATAbits.LATA2; } while(0)
#define Red_GetValue()           PORTAbits.RA2
#define Red_SetDigitalInput()    do { TRISAbits.TRISA2 = 1; } while(0)
#define Red_SetDigitalOutput()   do { TRISAbits.TRISA2 = 0; } while(0)
#define Red_SetPullup()          do { WPUAbits.WPUA2 = 1; } while(0)
#define Red_ResetPullup()        do { WPUAbits.WPUA2 = 0; } while(0)
#define Red_SetPushPull()        do { ODCONAbits.ODCA2 = 0; } while(0)
#define Red_SetOpenDrain()       do { ODCONAbits.ODCA2 = 1; } while(0)
#define Red_SetAnalogMode()      do { ANSELAbits.ANSELA2 = 1; } while(0)
#define Red_SetDigitalMode()     do { ANSELAbits.ANSELA2 = 0; } while(0)

// get/set Green aliases
#define Green_TRIS                 TRISAbits.TRISA3
#define Green_LAT                  LATAbits.LATA3
#define Green_PORT                 PORTAbits.RA3
#define Green_WPU                  WPUAbits.WPUA3
#define Green_OD                   ODCONAbits.ODCA3
#define Green_ANS                  ANSELAbits.ANSELA3
#define Green_SetHigh()            do { LATAbits.LATA3 = 1; } while(0)
#define Green_SetLow()             do { LATAbits.LATA3 = 0; } while(0)
#define Green_Toggle()             do { LATAbits.LATA3 = ~LATAbits.LATA3; } while(0)
#define Green_GetValue()           PORTAbits.RA3
#define Green_SetDigitalInput()    do { TRISAbits.TRISA3 = 1; } while(0)
#define Green_SetDigitalOutput()   do { TRISAbits.TRISA3 = 0; } while(0)
#define Green_SetPullup()          do { WPUAbits.WPUA3 = 1; } while(0)
#define Green_ResetPullup()        do { WPUAbits.WPUA3 = 0; } while(0)
#define Green_SetPushPull()        do { ODCONAbits.ODCA3 = 0; } while(0)
#define Green_SetOpenDrain()       do { ODCONAbits.ODCA3 = 1; } while(0)
#define Green_SetAnalogMode()      do { ANSELAbits.ANSELA3 = 1; } while(0)
#define Green_SetDigitalMode()     do { ANSELAbits.ANSELA3 = 0; } while(0)

// get/set RA6 procedures
#define RA6_SetHigh()            do { LATAbits.LATA6 = 1; } while(0)
#define RA6_SetLow()             do { LATAbits.LATA6 = 0; } while(0)
#define RA6_Toggle()             do { LATAbits.LATA6 = ~LATAbits.LATA6; } while(0)
#define RA6_GetValue()              PORTAbits.RA6
#define RA6_SetDigitalInput()    do { TRISAbits.TRISA6 = 1; } while(0)
#define RA6_SetDigitalOutput()   do { TRISAbits.TRISA6 = 0; } while(0)
#define RA6_SetPullup()             do { WPUAbits.WPUA6 = 1; } while(0)
#define RA6_ResetPullup()           do { WPUAbits.WPUA6 = 0; } while(0)
#define RA6_SetAnalogMode()         do { ANSELAbits.ANSELA6 = 1; } while(0)
#define RA6_SetDigitalMode()        do { ANSELAbits.ANSELA6 = 0; } while(0)

// get/set RA7 procedures
#define RA7_SetHigh()            do { LATAbits.LATA7 = 1; } while(0)
#define RA7_SetLow()             do { LATAbits.LATA7 = 0; } while(0)
#define RA7_Toggle()             do { LATAbits.LATA7 = ~LATAbits.LATA7; } while(0)
#define RA7_GetValue()              PORTAbits.RA7
#define RA7_SetDigitalInput()    do { TRISAbits.TRISA7 = 1; } while(0)
#define RA7_SetDigitalOutput()   do { TRISAbits.TRISA7 = 0; } while(0)
#define RA7_SetPullup()             do { WPUAbits.WPUA7 = 1; } while(0)
#define RA7_ResetPullup()           do { WPUAbits.WPUA7 = 0; } while(0)
#define RA7_SetAnalogMode()         do { ANSELAbits.ANSELA7 = 1; } while(0)
#define RA7_SetDigitalMode()        do { ANSELAbits.ANSELA7 = 0; } while(0)

// get/set RB1 procedures
#define RB1_SetHigh()            do { LATBbits.LATB1 = 1; } while(0)
#define RB1_SetLow()             do { LATBbits.LATB1 = 0; } while(0)
#define RB1_Toggle()             do { LATBbits.LATB1 = ~LATBbits.LATB1; } while(0)
#define RB1_GetValue()              PORTBbits.RB1
#define RB1_SetDigitalInput()    do { TRISBbits.TRISB1 = 1; } while(0)
#define RB1_SetDigitalOutput()   do { TRISBbits.TRISB1 = 0; } while(0)
#define RB1_SetPullup()             do { WPUBbits.WPUB1 = 1; } while(0)
#define RB1_ResetPullup()           do { WPUBbits.WPUB1 = 0; } while(0)
#define RB1_SetAnalogMode()         do { ANSELBbits.ANSELB1 = 1; } while(0)
#define RB1_SetDigitalMode()        do { ANSELBbits.ANSELB1 = 0; } while(0)

// get/set RB2 procedures
#define RB2_SetHigh()            do { LATBbits.LATB2 = 1; } while(0)
#define RB2_SetLow()             do { LATBbits.LATB2 = 0; } while(0)
#define RB2_Toggle()             do { LATBbits.LATB2 = ~LATBbits.LATB2; } while(0)
#define RB2_GetValue()              PORTBbits.RB2
#define RB2_SetDigitalInput()    do { TRISBbits.TRISB2 = 1; } while(0)
#define RB2_SetDigitalOutput()   do { TRISBbits.TRISB2 = 0; } while(0)
#define RB2_SetPullup()             do { WPUBbits.WPUB2 = 1; } while(0)
#define RB2_ResetPullup()           do { WPUBbits.WPUB2 = 0; } while(0)
#define RB2_SetAnalogMode()         do { ANSELBbits.ANSELB2 = 1; } while(0)
#define RB2_SetDigitalMode()        do { ANSELBbits.ANSELB2 = 0; } while(0)

// get/set RB4 procedures
#define RB4_SetHigh()            do { LATBbits.LATB4 = 1; } while(0)
#define RB4_SetLow()             do { LATBbits.LATB4 = 0; } while(0)
#define RB4_Toggle()             do { LATBbits.LATB4 = ~LATBbits.LATB4; } while(0)
#define RB4_GetValue()              PORTBbits.RB4
#define RB4_SetDigitalInput()    do { TRISBbits.TRISB4 = 1; } while(0)
#define RB4_SetDigitalOutput()   do { TRISBbits.TRISB4 = 0; } while(0)
#define RB4_SetPullup()             do { WPUBbits.WPUB4 = 1; } while(0)
#define RB4_ResetPullup()           do { WPUBbits.WPUB4 = 0; } while(0)
#define RB4_SetAnalogMode()         do { ANSELBbits.ANSELB4 = 1; } while(0)
#define RB4_SetDigitalMode()        do { ANSELBbits.ANSELB4 = 0; } while(0)

// get/set RB5 procedures
#define RB5_SetHigh()            do { LATBbits.LATB5 = 1; } while(0)
#define RB5_SetLow()             do { LATBbits.LATB5 = 0; } while(0)
#define RB5_Toggle()             do { LATBbits.LATB5 = ~LATBbits.LATB5; } while(0)
#define RB5_GetValue()              PORTBbits.RB5
#define RB5_SetDigitalInput()    do { TRISBbits.TRISB5 = 1; } while(0)
#define RB5_SetDigitalOutput()   do { TRISBbits.TRISB5 = 0; } while(0)
#define RB5_SetPullup()             do { WPUBbits.WPUB5 = 1; } while(0)
#define RB5_ResetPullup()           do { WPUBbits.WPUB5 = 0; } while(0)
#define RB5_SetAnalogMode()         do { ANSELBbits.ANSELB5 = 1; } while(0)
#define RB5_SetDigitalMode()        do { ANSELBbits.ANSELB5 = 0; } while(0)

// get/set RC0 procedures
#define RC0_SetHigh()            do { LATCbits.LATC0 = 1; } while(0)
#define RC0_SetLow()             do { LATCbits.LATC0 = 0; } while(0)
#define RC0_Toggle()             do { LATCbits.LATC0 = ~LATCbits.LATC0; } while(0)
#define RC0_GetValue()              PORTCbits.RC0
#define RC0_SetDigitalInput()    do { TRISCbits.TRISC0 = 1; } while(0)
#define RC0_SetDigitalOutput()   do { TRISCbits.TRISC0 = 0; } while(0)
#define RC0_SetPullup()             do { WPUCbits.WPUC0 = 1; } while(0)
#define RC0_ResetPullup()           do { WPUCbits.WPUC0 = 0; } while(0)
#define RC0_SetAnalogMode()         do { ANSELCbits.ANSELC0 = 1; } while(0)
#define RC0_SetDigitalMode()        do { ANSELCbits.ANSELC0 = 0; } while(0)

// get/set RC1 procedures
#define RC1_SetHigh()            do { LATCbits.LATC1 = 1; } while(0)
#define RC1_SetLow()             do { LATCbits.LATC1 = 0; } while(0)
#define RC1_Toggle()             do { LATCbits.LATC1 = ~LATCbits.LATC1; } while(0)
#define RC1_GetValue()              PORTCbits.RC1
#define RC1_SetDigitalInput()    do { TRISCbits.TRISC1 = 1; } while(0)
#define RC1_SetDigitalOutput()   do { TRISCbits.TRISC1 = 0; } while(0)
#define RC1_SetPullup()             do { WPUCbits.WPUC1 = 1; } while(0)
#define RC1_ResetPullup()           do { WPUCbits.WPUC1 = 0; } while(0)
#define RC1_SetAnalogMode()         do { ANSELCbits.ANSELC1 = 1; } while(0)
#define RC1_SetDigitalMode()        do { ANSELCbits.ANSELC1 = 0; } while(0)

// get/set RC2 procedures
#define RC2_SetHigh()            do { LATCbits.LATC2 = 1; } while(0)
#define RC2_SetLow()             do { LATCbits.LATC2 = 0; } while(0)
#define RC2_Toggle()             do { LATCbits.LATC2 = ~LATCbits.LATC2; } while(0)
#define RC2_GetValue()              PORTCbits.RC2
#define RC2_SetDigitalInput()    do { TRISCbits.TRISC2 = 1; } while(0)
#define RC2_SetDigitalOutput()   do { TRISCbits.TRISC2 = 0; } while(0)
#define RC2_SetPullup()             do { WPUCbits.WPUC2 = 1; } while(0)
#define RC2_ResetPullup()           do { WPUCbits.WPUC2 = 0; } while(0)
#define RC2_SetAnalogMode()         do { ANSELCbits.ANSELC2 = 1; } while(0)
#define RC2_SetDigitalMode()        do { ANSELCbits.ANSELC2 = 0; } while(0)

// get/set CS aliases
#define CS_TRIS                 TRISCbits.TRISC3
#define CS_LAT                  LATCbits.LATC3
#define CS_PORT                 PORTCbits.RC3
#define CS_WPU                  WPUCbits.WPUC3
#define CS_OD                   ODCONCbits.ODCC3
#define CS_ANS                  ANSELCbits.ANSELC3
#define CS_SetHigh()            do { LATCbits.LATC3 = 1; } while(0)
#define CS_SetLow()             do { LATCbits.LATC3 = 0; } while(0)
#define CS_Toggle()             do { LATCbits.LATC3 = ~LATCbits.LATC3; } while(0)
#define CS_GetValue()           PORTCbits.RC3
#define CS_SetDigitalInput()    do { TRISCbits.TRISC3 = 1; } while(0)
#define CS_SetDigitalOutput()   do { TRISCbits.TRISC3 = 0; } while(0)
#define CS_SetPullup()          do { WPUCbits.WPUC3 = 1; } while(0)
#define CS_ResetPullup()        do { WPUCbits.WPUC3 = 0; } while(0)
#define CS_SetPushPull()        do { ODCONCbits.ODCC3 = 0; } while(0)
#define CS_SetOpenDrain()       do { ODCONCbits.ODCC3 = 1; } while(0)
#define CS_SetAnalogMode()      do { ANSELCbits.ANSELC3 = 1; } while(0)
#define CS_SetDigitalMode()     do { ANSELCbits.ANSELC3 = 0; } while(0)

// get/set DC aliases
#define DC_TRIS                 TRISCbits.TRISC4
#define DC_LAT                  LATCbits.LATC4
#define DC_PORT                 PORTCbits.RC4
#define DC_WPU                  WPUCbits.WPUC4
#define DC_OD                   ODCONCbits.ODCC4
#define DC_ANS                  ANSELCbits.ANSELC4
#define DC_SetHigh()            do { LATCbits.LATC4 = 1; } while(0)
#define DC_SetLow()             do { LATCbits.LATC4 = 0; } while(0)
#define DC_Toggle()             do { LATCbits.LATC4 = ~LATCbits.LATC4; } while(0)
#define DC_GetValue()           PORTCbits.RC4
#define DC_SetDigitalInput()    do { TRISCbits.TRISC4 = 1; } while(0)
#define DC_SetDigitalOutput()   do { TRISCbits.TRISC4 = 0; } while(0)
#define DC_SetPullup()          do { WPUCbits.WPUC4 = 1; } while(0)
#define DC_ResetPullup()        do { WPUCbits.WPUC4 = 0; } while(0)
#define DC_SetPushPull()        do { ODCONCbits.ODCC4 = 0; } while(0)
#define DC_SetOpenDrain()       do { ODCONCbits.ODCC4 = 1; } while(0)
#define DC_SetAnalogMode()      do { ANSELCbits.ANSELC4 = 1; } while(0)
#define DC_SetDigitalMode()     do { ANSELCbits.ANSELC4 = 0; } while(0)

// get/set RES aliases
#define RES_TRIS                 TRISCbits.TRISC5
#define RES_LAT                  LATCbits.LATC5
#define RES_PORT                 PORTCbits.RC5
#define RES_WPU                  WPUCbits.WPUC5
#define RES_OD                   ODCONCbits.ODCC5
#define RES_ANS                  ANSELCbits.ANSELC5
#define RES_SetHigh()            do { LATCbits.LATC5 = 1; } while(0)
#define RES_SetLow()             do { LATCbits.LATC5 = 0; } while(0)
#define RES_Toggle()             do { LATCbits.LATC5 = ~LATCbits.LATC5; } while(0)
#define RES_GetValue()           PORTCbits.RC5
#define RES_SetDigitalInput()    do { TRISCbits.TRISC5 = 1; } while(0)
#define RES_SetDigitalOutput()   do { TRISCbits.TRISC5 = 0; } while(0)
#define RES_SetPullup()          do { WPUCbits.WPUC5 = 1; } while(0)
#define RES_ResetPullup()        do { WPUCbits.WPUC5 = 0; } while(0)
#define RES_SetPushPull()        do { ODCONCbits.ODCC5 = 0; } while(0)
#define RES_SetOpenDrain()       do { ODCONCbits.ODCC5 = 1; } while(0)
#define RES_SetAnalogMode()      do { ANSELCbits.ANSELC5 = 1; } while(0)
#define RES_SetDigitalMode()     do { ANSELCbits.ANSELC5 = 0; } while(0)

// get/set RC6 procedures
#define RC6_SetHigh()            do { LATCbits.LATC6 = 1; } while(0)
#define RC6_SetLow()             do { LATCbits.LATC6 = 0; } while(0)
#define RC6_Toggle()             do { LATCbits.LATC6 = ~LATCbits.LATC6; } while(0)
#define RC6_GetValue()              PORTCbits.RC6
#define RC6_SetDigitalInput()    do { TRISCbits.TRISC6 = 1; } while(0)
#define RC6_SetDigitalOutput()   do { TRISCbits.TRISC6 = 0; } while(0)
#define RC6_SetPullup()             do { WPUCbits.WPUC6 = 1; } while(0)
#define RC6_ResetPullup()           do { WPUCbits.WPUC6 = 0; } while(0)
#define RC6_SetAnalogMode()         do { ANSELCbits.ANSELC6 = 1; } while(0)
#define RC6_SetDigitalMode()        do { ANSELCbits.ANSELC6 = 0; } while(0)

// get/set RC7 procedures
#define RC7_SetHigh()            do { LATCbits.LATC7 = 1; } while(0)
#define RC7_SetLow()             do { LATCbits.LATC7 = 0; } while(0)
#define RC7_Toggle()             do { LATCbits.LATC7 = ~LATCbits.LATC7; } while(0)
#define RC7_GetValue()              PORTCbits.RC7
#define RC7_SetDigitalInput()    do { TRISCbits.TRISC7 = 1; } while(0)
#define RC7_SetDigitalOutput()   do { TRISCbits.TRISC7 = 0; } while(0)
#define RC7_SetPullup()             do { WPUCbits.WPUC7 = 1; } while(0)
#define RC7_ResetPullup()           do { WPUCbits.WPUC7 = 0; } while(0)
#define RC7_SetAnalogMode()         do { ANSELCbits.ANSELC7 = 1; } while(0)
#define RC7_SetDigitalMode()        do { ANSELCbits.ANSELC7 = 0; } while(0)

/**
   @Param
    none
   @Returns
    none
   @Description
    GPIO and peripheral I/O initialization
   @Example
    PIN_MANAGER_Initialize();
 */
void PIN_MANAGER_Initialize (void);

/**
 * @Param
    none
 * @Returns
    none
 * @Description
    Interrupt on Change Handling routine
 * @Example
    PIN_MANAGER_IOC();
 */
void PIN_MANAGER_IOC(void);



#endif // PIN_MANAGER_H
/**
 End of File
*/