/**
  @Generated Pin Manager Header File

  @Company:
    Microchip Technology Inc.

  @File Name:
    pin_manager.h

  @Summary:
    This is the Pin Manager file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs

  @Description
    This header file provides APIs for driver for .
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs - 1.81.7
        Device            :  PIC18F27Q43
        Driver Version    :  2.11
    The generated drivers are tested against the following:
        Compiler          :  XC8 2.31 and above
        MPLAB 	          :  MPLAB X 5.45	
*/

/*
    (c) 2018 Microchip Technology Inc. and its subsidiaries. 
    
    Subject to your compliance with these terms, you may use Microchip software and any 
    derivatives exclusively with Microchip products. It is your responsibility to comply with third party 
    license terms applicable to your use of third party software (including open source software) that 
    may accompany Microchip software.
    
    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER 
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY 
    IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS 
    FOR A PARTICULAR PURPOSE.
    
    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP 
    HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO 
    THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL 
    CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT 
    OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS 
    SOFTWARE.
*/

#ifndef PIN_MANAGER_H
#define PIN_MANAGER_H

/**
  Section: Included Files
*/

#include <xc.h>

#define INPUT   1
#define OUTPUT  0

#define HIGH    1
#define LOW     0

#define ANALOG      1
#define DIGITAL     0

#define PULL_UP_ENABLED      1
#define PULL_UP_DISABLED     0

// get/set RA2 procedures
#define RA2_SetHigh()            do { LATAbits.LATA2 = 1; } while(0)
#define RA2_SetLow()             do { LATAbits.LATA2 = 0; } while(0)
#define RA2_Toggle()             do { LATAbits.LATA2 = ~LATAbits.LATA2; } while(0)
#define RA2_GetValue()              PORTAbits.RA2
#define RA2_SetDigitalInput()    do { TRISAbits.TRISA2 = 1; } while(0)
#define RA2_SetDigitalOutput()   do { TRISAbits.TRISA2 = 0; } while(0)
#define RA2_SetPullup()             do { WPUAbits.WPUA2 = 1; } while(0)
#define RA2_ResetPullup()           do { WPUAbits.WPUA2 = 0; } while(0)
#define RA2_SetAnalogMode()         do { ANSELAbits.ANSELA2 = 1; } while(0)
#define RA2_SetDigitalMode()        do { ANSELAbits.ANSELA2 = 0; } while(0)

// get/set Red aliases
#define Red_TRIS                 TRISAbits.TRISA4
#define Red_LAT                  LATAbits.LATA4
#define Red_PORT                 PORTAbits.RA4
#define Red_WPU                  WPUAbits.WPUA4
#define Red_OD                   ODCONAbits.ODCA4
#define Red_ANS                  ANSELAbits.ANSELA4
#define Red_SetHigh()            do { LATAbits.LATA4 = 1; } while(0)
#define Red_SetLow()             do { LATAbits.LATA4 = 0; } while(0)
#define Red_Toggle()             do { LATAbits.LATA4 = ~LATAbits.LATA4; } while(0)
#define Red_GetValue()           PORTAbits.RA4
#define Red_SetDigitalInput()    do { TRISAbits.TRISA4 = 1; } while(0)
#define Red_SetDigitalOutput()   do { TRISAbits.TRISA4 = 0; } while(0)
#define Red_SetPullup()          do { WPUAbits.WPUA4 = 1; } while(0)
#define Red_ResetPullup()        do { WPUAbits.WPUA4 = 0; } while(0)
#define Red_SetPushPull()        do { ODCONAbits.ODCA4 = 0; } while(0)
#define Red_SetOpenDrain()       do { ODCONAbits.ODCA4 = 1; } while(0)
#define Red_SetAnalogMode()      do { ANSELAbits.ANSELA4 = 1; } while(0)
#define Red_SetDigitalMode()     do { ANSELAbits.ANSELA4 = 0; } while(0)

// get/set Green aliases
#define Green_TRIS                 TRISAbits.TRISA5
#define Green_LAT                  LATAbits.LATA5
#define Green_PORT                 PORTAbits.RA5
#define Green_WPU                  WPUAbits.WPUA5
#define Green_OD                   ODCONAbits.ODCA5
#define Green_ANS                  ANSELAbits.ANSELA5
#define Green_SetHigh()            do { LATAbits.LATA5 = 1; } while(0)
#define Green_SetLow()             do { LATAbits.LATA5 = 0; } while(0)
#define Green_Toggle()             do { LATAbits.LATA5 = ~LATAbits.LATA5; } while(0)
#define Green_GetValue()           PORTAbits.RA5
#define Green_SetDigitalInput()    do { TRISAbits.TRISA5 = 1; } while(0)
#define Green_SetDigitalOutput()   do { TRISAbits.TRISA5 = 0; } while(0)
#define Green_SetPullup()          do { WPUAbits.WPUA5 = 1; } while(0)
#define Green_ResetPullup()        do { WPUAbits.WPUA5 = 0; } while(0)
#define Green_SetPushPull()        do { ODCONAbits.ODCA5 = 0; } while(0)
#define Green_SetOpenDrain()       do { ODCONAbits.ODCA5 = 1; } while(0)
#define Green_SetAnalogMode()      do { ANSELAbits.ANSELA5 = 1; } while(0)
#define Green_SetDigitalMode()     do { ANSELAbits.ANSELA5 = 0; } while(0)

// get/set S2 aliases
#define S2_TRIS                 TRISAbits.TRISA6
#define S2_LAT                  LATAbits.LATA6
#define S2_PORT                 PORTAbits.RA6
#define S2_WPU                  WPUAbits.WPUA6
#define S2_OD                   ODCONAbits.ODCA6
#define S2_ANS                  ANSELAbits.ANSELA6
#define S2_SetHigh()            do { LATAbits.LATA6 = 1; } while(0)
#define S2_SetLow()             do { LATAbits.LATA6 = 0; } while(0)
#define S2_Toggle()             do { LATAbits.LATA6 = ~LATAbits.LATA6; } while(0)
#define S2_GetValue()           PORTAbits.RA6
#define S2_SetDigitalInput()    do { TRISAbits.TRISA6 = 1; } while(0)
#define S2_SetDigitalOutput()   do { TRISAbits.TRISA6 = 0; } while(0)
#define S2_SetPullup()          do { WPUAbits.WPUA6 = 1; } while(0)
#define S2_ResetPullup()        do { WPUAbits.WPUA6 = 0; } while(0)
#define S2_SetPushPull()        do { ODCONAbits.ODCA6 = 0; } while(0)
#define S2_SetOpenDrain()       do { ODCONAbits.ODCA6 = 1; } while(0)
#define S2_SetAnalogMode()      do { ANSELAbits.ANSELA6 = 1; } while(0)
#define S2_SetDigitalMode()     do { ANSELAbits.ANSELA6 = 0; } while(0)

// get/set S1 aliases
#define S1_TRIS                 TRISAbits.TRISA7
#define S1_LAT                  LATAbits.LATA7
#define S1_PORT                 PORTAbits.RA7
#define S1_WPU                  WPUAbits.WPUA7
#define S1_OD                   ODCONAbits.ODCA7
#define S1_ANS                  ANSELAbits.ANSELA7
#define S1_SetHigh()            do { LATAbits.LATA7 = 1; } while(0)
#define S1_SetLow()             do { LATAbits.LATA7 = 0; } while(0)
#define S1_Toggle()             do { LATAbits.LATA7 = ~LATAbits.LATA7; } while(0)
#define S1_GetValue()           PORTAbits.RA7
#define S1_SetDigitalInput()    do { TRISAbits.TRISA7 = 1; } while(0)
#define S1_SetDigitalOutput()   do { TRISAbits.TRISA7 = 0; } while(0)
#define S1_SetPullup()          do { WPUAbits.WPUA7 = 1; } while(0)
#define S1_ResetPullup()        do { WPUAbits.WPUA7 = 0; } while(0)
#define S1_SetPushPull()        do { ODCONAbits.ODCA7 = 0; } while(0)
#define S1_SetOpenDrain()       do { ODCONAbits.ODCA7 = 1; } while(0)
#define S1_SetAnalogMode()      do { ANSELAbits.ANSELA7 = 1; } while(0)
#define S1_SetDigitalMode()     do { ANSELAbits.ANSELA7 = 0; } while(0)

// get/set CS aliases
#define CS_TRIS                 TRISBbits.TRISB0
#define CS_LAT                  LATBbits.LATB0
#define CS_PORT                 PORTBbits.RB0
#define CS_WPU                  WPUBbits.WPUB0
#define CS_OD                   ODCONBbits.ODCB0
#define CS_ANS                  ANSELBbits.ANSELB0
#define CS_SetHigh()            do { LATBbits.LATB0 = 1; } while(0)
#define CS_SetLow()             do { LATBbits.LATB0 = 0; } while(0)
#define CS_Toggle()             do { LATBbits.LATB0 = ~LATBbits.LATB0; } while(0)
#define CS_GetValue()           PORTBbits.RB0
#define CS_SetDigitalInput()    do { TRISBbits.TRISB0 = 1; } while(0)
#define CS_SetDigitalOutput()   do { TRISBbits.TRISB0 = 0; } while(0)
#define CS_SetPullup()          do { WPUBbits.WPUB0 = 1; } while(0)
#define CS_ResetPullup()        do { WPUBbits.WPUB0 = 0; } while(0)
#define CS_SetPushPull()        do { ODCONBbits.ODCB0 = 0; } while(0)
#define CS_SetOpenDrain()       do { ODCONBbits.ODCB0 = 1; } while(0)
#define CS_SetAnalogMode()      do { ANSELBbits.ANSELB0 = 1; } while(0)
#define CS_SetDigitalMode()     do { ANSELBbits.ANSELB0 = 0; } while(0)

// get/set DC aliases
#define DC_TRIS                 TRISBbits.TRISB1
#define DC_LAT                  LATBbits.LATB1
#define DC_PORT                 PORTBbits.RB1
#define DC_WPU                  WPUBbits.WPUB1
#define DC_OD                   ODCONBbits.ODCB1
#define DC_ANS                  ANSELBbits.ANSELB1
#define DC_SetHigh()            do { LATBbits.LATB1 = 1; } while(0)
#define DC_SetLow()             do { LATBbits.LATB1 = 0; } while(0)
#define DC_Toggle()             do { LATBbits.LATB1 = ~LATBbits.LATB1; } while(0)
#define DC_GetValue()           PORTBbits.RB1
#define DC_SetDigitalInput()    do { TRISBbits.TRISB1 = 1; } while(0)
#define DC_SetDigitalOutput()   do { TRISBbits.TRISB1 = 0; } while(0)
#define DC_SetPullup()          do { WPUBbits.WPUB1 = 1; } while(0)
#define DC_ResetPullup()        do { WPUBbits.WPUB1 = 0; } while(0)
#define DC_SetPushPull()        do { ODCONBbits.ODCB1 = 0; } while(0)
#define DC_SetOpenDrain()       do { ODCONBbits.ODCB1 = 1; } while(0)
#define DC_SetAnalogMode()      do { ANSELBbits.ANSELB1 = 1; } while(0)
#define DC_SetDigitalMode()     do { ANSELBbits.ANSELB1 = 0; } while(0)

// get/set RES aliases
#define RES_TRIS                 TRISBbits.TRISB2
#define RES_LAT                  LATBbits.LATB2
#define RES_PORT                 PORTBbits.RB2
#define RES_WPU                  WPUBbits.WPUB2
#define RES_OD                   ODCONBbits.ODCB2
#define RES_ANS                  ANSELBbits.ANSELB2
#define RES_SetHigh()            do { LATBbits.LATB2 = 1; } while(0)
#define RES_SetLow()             do { LATBbits.LATB2 = 0; } while(0)
#define RES_Toggle()             do { LATBbits.LATB2 = ~LATBbits.LATB2; } while(0)
#define RES_GetValue()           PORTBbits.RB2
#define RES_SetDigitalInput()    do { TRISBbits.TRISB2 = 1; } while(0)
#define RES_SetDigitalOutput()   do { TRISBbits.TRISB2 = 0; } while(0)
#define RES_SetPullup()          do { WPUBbits.WPUB2 = 1; } while(0)
#define RES_ResetPullup()        do { WPUBbits.WPUB2 = 0; } while(0)
#define RES_SetPushPull()        do { ODCONBbits.ODCB2 = 0; } while(0)
#define RES_SetOpenDrain()       do { ODCONBbits.ODCB2 = 1; } while(0)
#define RES_SetAnalogMode()      do { ANSELBbits.ANSELB2 = 1; } while(0)
#define RES_SetDigitalMode()     do { ANSELBbits.ANSELB2 = 0; } while(0)

// get/set RB3 procedures
#define RB3_SetHigh()            do { LATBbits.LATB3 = 1; } while(0)
#define RB3_SetLow()             do { LATBbits.LATB3 = 0; } while(0)
#define RB3_Toggle()             do { LATBbits.LATB3 = ~LATBbits.LATB3; } while(0)
#define RB3_GetValue()              PORTBbits.RB3
#define RB3_SetDigitalInput()    do { TRISBbits.TRISB3 = 1; } while(0)
#define RB3_SetDigitalOutput()   do { TRISBbits.TRISB3 = 0; } while(0)
#define RB3_SetPullup()             do { WPUBbits.WPUB3 = 1; } while(0)
#define RB3_ResetPullup()           do { WPUBbits.WPUB3 = 0; } while(0)
#define RB3_SetAnalogMode()         do { ANSELBbits.ANSELB3 = 1; } while(0)
#define RB3_SetDigitalMode()        do { ANSELBbits.ANSELB3 = 0; } while(0)

// get/set RB4 procedures
#define RB4_SetHigh()            do { LATBbits.LATB4 = 1; } while(0)
#define RB4_SetLow()             do { LATBbits.LATB4 = 0; } while(0)
#define RB4_Toggle()             do { LATBbits.LATB4 = ~LATBbits.LATB4; } while(0)
#define RB4_GetValue()              PORTBbits.RB4
#define RB4_SetDigitalInput()    do { TRISBbits.TRISB4 = 1; } while(0)
#define RB4_SetDigitalOutput()   do { TRISBbits.TRISB4 = 0; } while(0)
#define RB4_SetPullup()             do { WPUBbits.WPUB4 = 1; } while(0)
#define RB4_ResetPullup()           do { WPUBbits.WPUB4 = 0; } while(0)
#define RB4_SetAnalogMode()         do { ANSELBbits.ANSELB4 = 1; } while(0)
#define RB4_SetDigitalMode()        do { ANSELBbits.ANSELB4 = 0; } while(0)

// get/set RB5 procedures
#define RB5_SetHigh()            do { LATBbits.LATB5 = 1; } while(0)
#define RB5_SetLow()             do { LATBbits.LATB5 = 0; } while(0)
#define RB5_Toggle()             do { LATBbits.LATB5 = ~LATBbits.LATB5; } while(0)
#define RB5_GetValue()              PORTBbits.RB5
#define RB5_SetDigitalInput()    do { TRISBbits.TRISB5 = 1; } while(0)
#define RB5_SetDigitalOutput()   do { TRISBbits.TRISB5 = 0; } while(0)
#define RB5_SetPullup()             do { WPUBbits.WPUB5 = 1; } while(0)
#define RB5_ResetPullup()           do { WPUBbits.WPUB5 = 0; } while(0)
#define RB5_SetAnalogMode()         do { ANSELBbits.ANSELB5 = 1; } while(0)
#define RB5_SetDigitalMode()        do { ANSELBbits.ANSELB5 = 0; } while(0)

// get/set S3 aliases
#define S3_TRIS                 TRISCbits.TRISC0
#define S3_LAT                  LATCbits.LATC0
#define S3_PORT                 PORTCbits.RC0
#define S3_WPU                  WPUCbits.WPUC0
#define S3_OD                   ODCONCbits.ODCC0
#define S3_ANS                  ANSELCbits.ANSELC0
#define S3_SetHigh()            do { LATCbits.LATC0 = 1; } while(0)
#define S3_SetLow()             do { LATCbits.LATC0 = 0; } while(0)
#define S3_Toggle()             do { LATCbits.LATC0 = ~LATCbits.LATC0; } while(0)
#define S3_GetValue()           PORTCbits.RC0
#define S3_SetDigitalInput()    do { TRISCbits.TRISC0 = 1; } while(0)
#define S3_SetDigitalOutput()   do { TRISCbits.TRISC0 = 0; } while(0)
#define S3_SetPullup()          do { WPUCbits.WPUC0 = 1; } while(0)
#define S3_ResetPullup()        do { WPUCbits.WPUC0 = 0; } while(0)
#define S3_SetPushPull()        do { ODCONCbits.ODCC0 = 0; } while(0)
#define S3_SetOpenDrain()       do { ODCONCbits.ODCC0 = 1; } while(0)
#define S3_SetAnalogMode()      do { ANSELCbits.ANSELC0 = 1; } while(0)
#define S3_SetDigitalMode()     do { ANSELCbits.ANSELC0 = 0; } while(0)

// get/set S4 aliases
#define S4_TRIS                 TRISCbits.TRISC1
#define S4_LAT                  LATCbits.LATC1
#define S4_PORT                 PORTCbits.RC1
#define S4_WPU                  WPUCbits.WPUC1
#define S4_OD                   ODCONCbits.ODCC1
#define S4_ANS                  ANSELCbits.ANSELC1
#define S4_SetHigh()            do { LATCbits.LATC1 = 1; } while(0)
#define S4_SetLow()             do { LATCbits.LATC1 = 0; } while(0)
#define S4_Toggle()             do { LATCbits.LATC1 = ~LATCbits.LATC1; } while(0)
#define S4_GetValue()           PORTCbits.RC1
#define S4_SetDigitalInput()    do { TRISCbits.TRISC1 = 1; } while(0)
#define S4_SetDigitalOutput()   do { TRISCbits.TRISC1 = 0; } while(0)
#define S4_SetPullup()          do { WPUCbits.WPUC1 = 1; } while(0)
#define S4_ResetPullup()        do { WPUCbits.WPUC1 = 0; } while(0)
#define S4_SetPushPull()        do { ODCONCbits.ODCC1 = 0; } while(0)
#define S4_SetOpenDrain()       do { ODCONCbits.ODCC1 = 1; } while(0)
#define S4_SetAnalogMode()      do { ANSELCbits.ANSELC1 = 1; } while(0)
#define S4_SetDigitalMode()     do { ANSELCbits.ANSELC1 = 0; } while(0)

// get/set S5 aliases
#define S5_TRIS                 TRISCbits.TRISC2
#define S5_LAT                  LATCbits.LATC2
#define S5_PORT                 PORTCbits.RC2
#define S5_WPU                  WPUCbits.WPUC2
#define S5_OD                   ODCONCbits.ODCC2
#define S5_ANS                  ANSELCbits.ANSELC2
#define S5_SetHigh()            do { LATCbits.LATC2 = 1; } while(0)
#define S5_SetLow()             do { LATCbits.LATC2 = 0; } while(0)
#define S5_Toggle()             do { LATCbits.LATC2 = ~LATCbits.LATC2; } while(0)
#define S5_GetValue()           PORTCbits.RC2
#define S5_SetDigitalInput()    do { TRISCbits.TRISC2 = 1; } while(0)
#define S5_SetDigitalOutput()   do { TRISCbits.TRISC2 = 0; } while(0)
#define S5_SetPullup()          do { WPUCbits.WPUC2 = 1; } while(0)
#define S5_ResetPullup()        do { WPUCbits.WPUC2 = 0; } while(0)
#define S5_SetPushPull()        do { ODCONCbits.ODCC2 = 0; } while(0)
#define S5_SetOpenDrain()       do { ODCONCbits.ODCC2 = 1; } while(0)
#define S5_SetAnalogMode()      do { ANSELCbits.ANSELC2 = 1; } while(0)
#define S5_SetDigitalMode()     do { ANSELCbits.ANSELC2 = 0; } while(0)

// get/set S6 aliases
#define S6_TRIS                 TRISCbits.TRISC3
#define S6_LAT                  LATCbits.LATC3
#define S6_PORT                 PORTCbits.RC3
#define S6_WPU                  WPUCbits.WPUC3
#define S6_OD                   ODCONCbits.ODCC3
#define S6_ANS                  ANSELCbits.ANSELC3
#define S6_SetHigh()            do { LATCbits.LATC3 = 1; } while(0)
#define S6_SetLow()             do { LATCbits.LATC3 = 0; } while(0)
#define S6_Toggle()             do { LATCbits.LATC3 = ~LATCbits.LATC3; } while(0)
#define S6_GetValue()           PORTCbits.RC3
#define S6_SetDigitalInput()    do { TRISCbits.TRISC3 = 1; } while(0)
#define S6_SetDigitalOutput()   do { TRISCbits.TRISC3 = 0; } while(0)
#define S6_SetPullup()          do { WPUCbits.WPUC3 = 1; } while(0)
#define S6_ResetPullup()        do { WPUCbits.WPUC3 = 0; } while(0)
#define S6_SetPushPull()        do { ODCONCbits.ODCC3 = 0; } while(0)
#define S6_SetOpenDrain()       do { ODCONCbits.ODCC3 = 1; } while(0)
#define S6_SetAnalogMode()      do { ANSELCbits.ANSELC3 = 1; } while(0)
#define S6_SetDigitalMode()     do { ANSELCbits.ANSELC3 = 0; } while(0)

// get/set RC4 procedures
#define RC4_SetHigh()            do { LATCbits.LATC4 = 1; } while(0)
#define RC4_SetLow()             do { LATCbits.LATC4 = 0; } while(0)
#define RC4_Toggle()             do { LATCbits.LATC4 = ~LATCbits.LATC4; } while(0)
#define RC4_GetValue()              PORTCbits.RC4
#define RC4_SetDigitalInput()    do { TRISCbits.TRISC4 = 1; } while(0)
#define RC4_SetDigitalOutput()   do { TRISCbits.TRISC4 = 0; } while(0)
#define RC4_SetPullup()             do { WPUCbits.WPUC4 = 1; } while(0)
#define RC4_ResetPullup()           do { WPUCbits.WPUC4 = 0; } while(0)
#define RC4_SetAnalogMode()         do { ANSELCbits.ANSELC4 = 1; } while(0)
#define RC4_SetDigitalMode()        do { ANSELCbits.ANSELC4 = 0; } while(0)

// get/set RC5 procedures
#define RC5_SetHigh()            do { LATCbits.LATC5 = 1; } while(0)
#define RC5_SetLow()             do { LATCbits.LATC5 = 0; } while(0)
#define RC5_Toggle()             do { LATCbits.LATC5 = ~LATCbits.LATC5; } while(0)
#define RC5_GetValue()              PORTCbits.RC5
#define RC5_SetDigitalInput()    do { TRISCbits.TRISC5 = 1; } while(0)
#define RC5_SetDigitalOutput()   do { TRISCbits.TRISC5 = 0; } while(0)
#define RC5_SetPullup()             do { WPUCbits.WPUC5 = 1; } while(0)
#define RC5_ResetPullup()           do { WPUCbits.WPUC5 = 0; } while(0)
#define RC5_SetAnalogMode()         do { ANSELCbits.ANSELC5 = 1; } while(0)
#define RC5_SetDigitalMode()        do { ANSELCbits.ANSELC5 = 0; } while(0)

// get/set RC6 procedures
#define RC6_SetHigh()            do { LATCbits.LATC6 = 1; } while(0)
#define RC6_SetLow()             do { LATCbits.LATC6 = 0; } while(0)
#define RC6_Toggle()             do { LATCbits.LATC6 = ~LATCbits.LATC6; } while(0)
#define RC6_GetValue()              PORTCbits.RC6
#define RC6_SetDigitalInput()    do { TRISCbits.TRISC6 = 1; } while(0)
#define RC6_SetDigitalOutput()   do { TRISCbits.TRISC6 = 0; } while(0)
#define RC6_SetPullup()             do { WPUCbits.WPUC6 = 1; } while(0)
#define RC6_ResetPullup()           do { WPUCbits.WPUC6 = 0; } while(0)
#define RC6_SetAnalogMode()         do { ANSELCbits.ANSELC6 = 1; } while(0)
#define RC6_SetDigitalMode()        do { ANSELCbits.ANSELC6 = 0; } while(0)

// get/set RC7 procedures
#define RC7_SetHigh()            do { LATCbits.LATC7 = 1; } while(0)
#define RC7_SetLow()             do { LATCbits.LATC7 = 0; } while(0)
#define RC7_Toggle()             do { LATCbits.LATC7 = ~LATCbits.LATC7; } while(0)
#define RC7_GetValue()              PORTCbits.RC7
#define RC7_SetDigitalInput()    do { TRISCbits.TRISC7 = 1; } while(0)
#define RC7_SetDigitalOutput()   do { TRISCbits.TRISC7 = 0; } while(0)
#define RC7_SetPullup()             do { WPUCbits.WPUC7 = 1; } while(0)
#define RC7_ResetPullup()           do { WPUCbits.WPUC7 = 0; } while(0)
#define RC7_SetAnalogMode()         do { ANSELCbits.ANSELC7 = 1; } while(0)
#define RC7_SetDigitalMode()        do { ANSELCbits.ANSELC7 = 0; } while(0)

/**
   @Param
    none
   @Returns
    none
   @Description
    GPIO and peripheral I/O initialization
   @Example
    PIN_MANAGER_Initialize();
 */
void PIN_MANAGER_Initialize (void);

/**
 * @Param
    none
 * @Returns
    none
 * @Description
    Interrupt on Change Handling routine
 * @Example
    PIN_MANAGER_IOC();
 */
void PIN_MANAGER_IOC(void);



#endif // PIN_MANAGER_H
/**
 End of File
*/